org.eclipse.viatra.integration.zest.viewer

## Class ViatraZestModule

- java.lang.Object
- - com.google.inject.AbstractModule
  - - org.eclipse.gef.mvc.fx.MvcFxModule
    - - org.eclipse.gef.zest.fx.ZestFxModule
      - - org.eclipse.gef.zest.fx.jface.ZestFxJFaceModule
        - - org.eclipse.viatra.integration.zest.viewer.ViatraZestModule

- All Implemented Interfaces:
    com.google.inject.Module

      public class ViatraZestModule
      extends org.eclipse.gef.zest.fx.jface.ZestFxJFaceModule

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraZestModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `bindFXCircleSegmentHandlePartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,java.lang.Object> adapterMapBinder)`
    `protected void` | `enableAdapterMapInjection()`

    - ### Methods inherited from class org.eclipse.gef.zest.fx.jface.ZestFxJFaceModule

      `bindFXCanvasFactory, configure`

    - ### Methods inherited from class org.eclipse.gef.zest.fx.ZestFxModule

      `bindAbstractContentPartAdapters, bindChangeViewportPolicyAsIRootPartAdapter, bindEdgeLabelPartAdapters, bindEdgePartAdapters, bindFXSquareSegmentHandlePartAdapters, bindGraphPartAdapters, bindHidingHoverHandlePartAdapters, bindHoverHandlePartFactoryAsContentViewerAdapter, bindIContentPartFactory, bindIRootPartAdaptersForContentViewer, bindIViewerAdaptersForContentViewer, bindNavigationModelAsContentViewerAdapter, bindNodeLabelPartAdapters, bindNodePartAdapters, bindRootPartAsContentViewerAdapter, bindSelectionFeedbackPartFactoryAsContentViewerAdapter, bindSelectionHandlePartFactoryAsContentViewerAdapter, bindShowHiddenNeighborsHoverHandlePartAdapters, bindShowHiddenNeighborsOfFirstAnchorageOnClickHandlerAsShowHiddenNeighborsHoverHandlePartAdapter`

    - ### Methods inherited from class org.eclipse.gef.mvc.fx.MvcFxModule

      `bindAbstractFeedbackPartAdapters, bindAbstractHandlePartAdapters, bindAbstractVisualPartAdapters, bindClickDragGesture, bindClickDragGestureAsDomainAdapter, bindConnectedSupportAsContentViewerAdapter, bindContentBehaviorAsIRootPartAdapter, bindContentIViewerAsIDomainAdapter, bindContentPartPoolAsContentViewerAdapter, bindContentPolicyAsAbstractContentPartAdapter, bindCreationPolicyAsIRootPartAdapter, bindCursorSupportAsContentViewerAdapter, bindDeletionPolicyAsIRootPartAdapter, bindFocusAndSelectOnClickHandlerAsIRootPartAdapter, bindFocusBehaviorAsIRootPartAdapter, bindFocusFeedbackPartFactoryAsContentViewerAdapter, bindFocusModelAsContentViewerAdapter, bindFocusTraversalPolicyAsIRootPartAdapter, bindGridBehaviorAsIRootPartAdapter, bindGridModelAsContentViewerAdapter, bindHoverBehaviorAsIRootPartAdapter, bindHoverFeedbackPartFactoryAsContentViewerAdapter, bindHoverGesture, bindHoverGestureAsDomainAdapter, bindHoverIntentBehaviorAsIRootPartAdapter, bindHoverModelAsContentViewerAdapter, bindHoverOnHoverHandlerAsAbstractHandlePartAdapter, bindHoverOnHoverHandlerAsIRootPartAdapter, bindIContentPartFactoryAsContentViewerAdapter, bindIDomain, bindIDomainAdapters, bindIHandlerResolver, bindIHandlerResolverAsIDomainAdapter, bindIOperationHistory, bindIRootPart, bindIUndoContext, bindIViewer, bindMarqueeOnDragHandlerAsIRootPartAdapter, bindPanningSupportAsContentViewerAdapter, bindPanOnTypeHandlerAsIRootPartAdapter, bindPanOrZoomOnScrollHandlerAsIRootPartAdapter, bindPinchSpreadGesture, bindPinchSpreadGestureAsIDomainAdapter, bindRevealPrimarySelectionBehaviorAsIRootPartAdapter, bindRotateGesture, bindRotateGestureAsDomainAdapter, bindScrollGesture, bindScrollGestureAsDomainAdapter, bindSelectionBehaviorAsIRootPartAdapter, bindSelectionModelAsContentViewerAdapter, bindSnappingBehaviorAsIRootPartAdapter, bindSnappingFeedbackPartFactoryAsContentViewerAdapter, bindSnappingModelAsContentViewerAdapter, bindSnapToSupportAsContentViewerAdapter, bindTransformProviderAsAbstractContentPartAdapter, bindTypeGesture, bindTypeGestureAsDomainAdapter, bindZoomOnPinchSpreadHandlerAsIRootPartAdapter`

    - ### Methods inherited from class com.google.inject.AbstractModule

      `addError, addError, addError, bind, bind, bind, bindConstant, binder, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViatraZestModule

          public ViatraZestModule()

  - ### Method Detail

    - #### enableAdapterMapInjection

          protected void enableAdapterMapInjection()

      Overrides:
        `enableAdapterMapInjection` in class `org.eclipse.gef.mvc.fx.MvcFxModule`

    - #### bindFXCircleSegmentHandlePartAdapters

          protected void bindFXCircleSegmentHandlePartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,java.lang.Object> adapterMapBinder)

      Overrides:
        `bindFXCircleSegmentHandlePartAdapters` in class `org.eclipse.gef.zest.fx.ZestFxModule`